# Interface EventsPage

Represents a page of conversation events

interface EventsPage {
events: PersistentConversationEventJS[] & PersistentConversationEvent[];
get nextCursor(): Nullable<string>;
get previousCursor(): Nullable<string>;
}

#####
Index

### Properties

events

### Accessors

nextCursor
previousCursor

## Properties

### events

events: PersistentConversationEventJS[] & PersistentConversationEvent[]

The events in the page

## Accessors

### nextCursor

- get nextCursor(): Nullable<string>

- The cursor to fetch the next page

  #### Returns Nullable<string>

### previousCursor

- get previousCursor(): Nullable<string>

- The cursor to fetch the previous page

  #### Returns Nullable<string>